Bug 447922 - MCAST_JOIN_GROUP sockopt fails for compat binaries.
MCAST_JOIN_GROUP sockopt fails for compat binaries.
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
All Linux
low Severity low
: rc
: ---
Assigned To: Thomas Graf
Martin Jenner
Depends On:
Blocks: 447923
  Show dependency treegraph
Reported: 2008-05-22 09:52 EDT by Ric Wheeler
Modified: 2014-06-18 04:29 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-05-10 08:12:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Woodhouse 2008-05-22 09:52:21 EDT
Someone told me IP{V6,}_ADD_MEMBERSHIP sockopts were deprecated and we should
use MCAST_JOIN_GROUP instead. That fails for 32-bit userspace on 64-bit kernels,
though. Fixed by upstream commit dae50295.

Test case at http://david.woodhou.se/MulticastTest.c should print '5 bytes
received' but will just hang.

Note that on RHEL4 you seem to have to have a global IPv6 address in order for
the test to work; I think that might be a separate bug.

Note You need to log in before you can comment on or make changes to this bug.